## mopidy-internetarchive 3.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mopidy-InternetArchive.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mopidy-InternetArchive.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mopidy-InternetArchive"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mopidy-InternetArchive"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mopidy-internetarchive 2.0.0

=== debian/changelog ===
mopidy-internetarchive (2.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #812673)

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 25 Jan 2016 21:41:53 +0100

=== debian/control ===
Source: mopidy-internetarchive
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               mopidy (>= 1.0.8-2),
               python (>= 2.7),
               python-cachetools,
               python-mock,
               python-pykka,
               python-pytest,
               python-requests,
               python-setuptools,
               python-uritools,
Standards-Version: 3.9.6
Homepage: http://github.com/tkem/mopidy-internetarchive
Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy-internetarchive.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy-internetarchive.git
X-Python-Version: >= 2.7

Package: mopidy-internetarchive
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Mopidy extension for playing music from the Internet Archive
 Mopidy is a music server which can play music from multiple sources, like your
 local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 This package provides a Mopidy extension for playing music from the Internet
 Archive.

## mopidy-internetarchive 2.0.3

=== debian/changelog ===
mopidy-internetarchive (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.1.4, no changes required
    - Set Vcs-* to salsa.debian.org
    - Require debhelper 10
  * debian/copyright
    - Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 15 Apr 2018 02:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Stein Magnus Jodal <jodal@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                mopidy (>= 1.0.8-2),
                python (>= 2.7),
@@ -13,10 +13,10 @@
                python-requests,
                python-setuptools,
                python-uritools,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://github.com/tkem/mopidy-internetarchive
-Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy-internetarchive.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy-internetarchive.git
+Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-internetarchive.git
+Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-internetarchive
 X-Python-Version: >= 2.7
 
 Package: mopidy-internetarchive

## mopidy-internetarchive 3.0.0

=== debian/changelog ===
mopidy-internetarchive (3.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Stein Magnus Jodal ]
  * d/watch: Use HTTPS, ignore signatures
  * d/control: Set Rules-Requires-Root to no

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 26 Dec 2020 20:11:42 +0100

mopidy-internetarchive (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Switch from Python 2 to 3 (Closes: #937074)
  * Disable tests because of pkg_resurces usage
  * Bump debhelper from 10 to 12
  * d/clean: Remove custom clean rules
  * d/control: Bump Standards-Version to 4.4.1, no changes
  * d/control: Require mopidy >= 3
  * d/control: Update Description
  * d/control: Use HTTPS for Homepage
  * d/copyright: Update copyright years
  * d/copyright: Use HTTPS for the copyright spec
  * d/rules: Update changelog name

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 26 Dec 2019 19:34:36 +0100

=== debian/control ===
Source: mopidy-internetarchive
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               mopidy (>= 3),
               python3,
               python3-cachetools,
               python3-pykka,
               python3-requests,
               python3-setuptools,
               python3-uritools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/tkem/mopidy-internetarchive
Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-internetarchive.git
Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-internetarchive

Package: mopidy-internetarchive
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Mopidy extension for playing music from the Internet Archive
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension for playing music from the Internet
 Archive.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Mopidy-InternetArchive/Mopidy-InternetArchive-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mopidy-internetarchive 3.0.1

=== debian/changelog ===
mopidy-internetarchive (3.0.1-3) unstable; urgency=medium

  * Team Upload
  * Patch-out python3-pkg-resources (Closes: #1083488)
  * Add debian/salsa-ci.yml
  * Use dh-sequence-python3
  * Rename file under debian/ for debhelper 14/15 compatibility
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

  [ Stein Magnus Jodal ]
  * Move package to Debian Python Team

 -- Alexandre Detiste <tchet@debian.org>  Fri, 30 Jan 2026 17:03:34 +0100

mopidy-internetarchive (3.0.1-2) unstable; urgency=medium

  * d/control: Set upstream metadata fields: Bug-Database, Bug-Submit
  * d/control: Bump debhelper from 12 to 13

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 06 Jul 2024 23:21:43 +0200

mopidy-internetarchive (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.6.1

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 18 May 2022 12:13:28 +0200

=== debian/control ===
Source: mopidy-internetarchive
Section: sound
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stein Magnus Jodal <jodal@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mopidy (>= 3),
 python3,
 python3-cachetools,
 python3-pykka,
 python3-requests,
 python3-setuptools,
 python3-uritools,
Standards-Version: 4.7.3
Homepage: https://github.com/tkem/mopidy-internetarchive
Vcs-Git: https://salsa.debian.org/python-team/packages/mopidy-internetarchive.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mopidy-internetarchive

Package: mopidy-internetarchive
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Mopidy extension for playing music from the Internet Archive
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension for playing music from the Internet
 Archive.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/Mopidy-InternetArchive/
Matching-Pattern: Mopidy-InternetArchive-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversionmangle: s/(rc|a|b|c)/~$1/
